Package org.apache.jasper.compiler.tagplugin

# Interface TagPlugin

All Known Implementing Classes:
  `Catch`, `Choose`, `ForEach`, `ForTokens`, `If`, `Import`, `Otherwise`, `Out`, `Param`, `Redirect`, `Remove`, `Set`, `Url`, `When`

public interface TagPlugin
This interface is to be implemented by the plugin author, to supply an alternate implementation of the tag handlers. It can be used to specify the Java codes to be generated when a tag is invoked. An implementation of this interface must be registered in a file named "tagPlugins.xml" under WEB-INF.

## Method Summary

Modifier and Type
Method
Description
`void`
`doTag(TagPluginContext ctxt)`
Generate codes for a custom tag.

## Method Details

### doTag

void doTag(TagPluginContext ctxt)
Generate codes for a custom tag.

Parameters:
  `ctxt` - a TagPluginContext for accessing Jasper functions